<template>
  <div class="flex items-center gap-2">
    <UiButton color-type="secondary" button-height="sm" class="w-12 rounded-16" @click="prevPage(currentPage)">
      <img width="24" height="24" src="@/assets/images/ui/ui-arrow-left.svg" />
    </UiButton>
    <UiButton
      v-for="page in pagesAmount"
      :key="page"
      :color-type="page === currentPage ? 'primary' : 'secondary'"
      button-height="sm"
      class="w-12 rounded-16"
      @click="$emit('change-page', page)"
    >
      {{ page }}
    </UiButton>
    <UiButton color-type="secondary" button-height="sm" class="w-12 rounded-16" @click="nextPage(currentPage)">
      <img style="transform: rotate(180deg)" width="24" height="24" src="@/assets/images/ui/ui-arrow-left.svg" />
    </UiButton>
  </div>
</template>

<script>
import UiButton from '@/components/ui/UiButton.vue';

export default {
  name: 'UiPagination',

  components: { UiButton },

  props: {
    pagesAmount: {
      type: Number,
      default: 1,
    },

    currentPage: {
      type: Number,
      default: 1,
    },
  },

  methods: {
    prevPage(page) {
      if (page === 1) return;
      this.$emit('change-page', page - 1);
    },
    nextPage(page) {
      if (page === this.pagesAmount) return;
      this.$emit('change-page', page + 1);
    },
  },
};
</script>

<style lang="scss"></style>
